<?php
require_once __DIR__ . "/vendor/autoload.php";

$dotenv = Dotenv\Dotenv::createImmutable(__DIR__);
$dotenv->load();

include_once __DIR__ . "/bootstrap/db.php";
include_once __DIR__ . "/bootstrap/header.php";
const ROOT_DIR = __DIR__;
const KERNEL_DIR = __DIR__ . "/kernel";
const KERNEL_MODULES_DIR = __DIR__ . "/kernel/modules";
const KERNEL_ADMIN_THEMES_DIR = __DIR__ . "/kernel/admin_themes";
const CONSOLE_DIR = __DIR__ . "/kernel/console";
const RESOURCES_DIR = __DIR__ . "/resources";

const KERNEL_APP_MODULES_DIR = KERNEL_DIR . "/app_modules";

const APP_DIR = ROOT_DIR . "/app";



function getConst($text): array|false|string
{
    $constStr = [
        "{ROOT}" => ROOT_DIR,
        "{RESOURCES}" => RESOURCES_DIR,
        "{KERNEL_ADMIN_THEMES}" => KERNEL_ADMIN_THEMES_DIR,
        "{KERNEL}" => KERNEL_DIR,
        "{KERNEL_MODULES}" => KERNEL_MODULES_DIR,
        "{KERNEL_APP_MODULES}" => KERNEL_APP_MODULES_DIR,
        "{CONSOLE}" => CONSOLE_DIR,
        "{APP}" => APP_DIR,
    ];

    $str = $text;
    foreach($constStr as $key => $value)
    {
        $str = str_replace($key, $value, $str);
    }

    return $str;
}


